matrix:
  platform:
  - macos
  - ubuntu2204
  bazel:
  - 8.x
  - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@subspace//client:subspace_client'
    - '@subspace//c_client:subspace_c_client'
    - '@subspace//server:subspace_server'
bcr_test_module:
  module_path: .
  matrix:
    platform:
    - macos
    - ubuntu2204
    bazel:
    - 8.x
    - 9.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
      - //client:client_test
      - //c_client:client_test
      - //client:bridge_test
